Bug 1800534 - qutebrowser fails to build from dist-git master
Summary: qutebrowser fails to build from dist-git master
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qutebrowser
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timothée Floure
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-02-07 11:34 UTC by Miro Hrončok
Modified: 2020-02-14 08:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-14 08:09:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-02-07 11:34:23 UTC
qutebrowser fails to build from dist-git master

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.7EddKu
+ umask 022
+ cd /builddir/build/BUILD
+ cd qutebrowser-1.10.0
+ a2x -f manpage doc/qutebrowser.1.asciidoc
a2x: ERROR: missing SOURCE_FILE: doc/qutebrowser.1.asciidoc
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.7EddKu (%build)


This blocks our effort to rebuild the package with Python 3.9.

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01223780-qutebrowser/

For all our attempts to build qutebrowser with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/qutebrowser/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Ben Cotton 2020-02-11 16:38:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Timothée Floure 2020-02-14 08:09:11 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.